import { SimpleLocalIntegration } from '../../core/index.js';
import { EcoalBoilerConfigFlow } from './ecoal_boiler.classes.configflow.js';
import { createEcoalBoilerDiscoveryDescriptor } from './ecoal_boiler.discovery.js';
import type { IEcoalBoilerConfig } from './ecoal_boiler.types.js';
import { ecoalBoilerDomain, ecoalBoilerProfile } from './ecoal_boiler.types.js';

export class EcoalBoilerIntegration extends SimpleLocalIntegration<IEcoalBoilerConfig> {
  public readonly domain = ecoalBoilerDomain;
  public readonly discoveryDescriptor = createEcoalBoilerDiscoveryDescriptor();
  public readonly configFlow = new EcoalBoilerConfigFlow();

  constructor() {
    super(ecoalBoilerProfile);
  }
}

export class HomeAssistantEcoalBoilerIntegration extends EcoalBoilerIntegration {}
